[138163] trunk/dports/security/pass
ionic at macports.org
ionic at macports.org
Tue Jun 30 13:39:36 PDT 2015
Revision: 138163
https://trac.macports.org/changeset/138163
Author: ionic at macports.org
Date: 2015-06-30 13:39:36 -0700 (Tue, 30 Jun 2015)
Log Message:
-----------
pass: update to 1.6.5. Patches provided by maintainer. Change gnupg2 dependency to a bin-style dependency. Fixes: #47050, #47051.
Modified Paths:
--------------
trunk/dports/security/pass/Portfile
trunk/dports/security/pass/files/patch-getopt-path.diff
Removed Paths:
-------------
trunk/dports/security/pass/files/patch-use_apple_mktemp.diff
Modified: trunk/dports/security/pass/Portfile
===================================================================
--- trunk/dports/security/pass/Portfile 2015-06-30 19:28:15 UTC (rev 138162)
+++ trunk/dports/security/pass/Portfile 2015-06-30 20:39:36 UTC (rev 138163)
@@ -4,7 +4,7 @@
PortSystem 1.0
name pass
-version 1.6.3
+version 1.6.5
maintainers macports.swinbank.org:john openmaintainer
categories security
description ${name} is the standard unix password manager
@@ -15,21 +15,20 @@
license GPL-2+
depends_run port:git \
- port:gnupg2 \
port:pwgen \
port:getopt \
- port:tree
+ port:tree \
+ bin:gpg2:gnupg2
master_sites http://git.zx2c4.com/password-store/snapshot/
distname password-store-${version}
use_xz yes
-checksums rmd160 1a1311b67942a0a490af5c20376483a4a5240101 \
- sha256 d419d40aa165c1f893e994dd706733374a9db8cf5314124702a061e70e0340f7
+checksums rmd160 76e50eaef02163dc23c155ade34b88e965ac6f30 \
+ sha256 337a39767e6a8e69b2bcc549f27ff3915efacea57e5334c6068fcb72331d7315
patchfiles patch-Makefile.diff \
- patch-getopt-path.diff \
- patch-use_apple_mktemp.diff
+ patch-getopt-path.diff
post-patch {
reinplace "s|@@PREFIX@@|${prefix}|g" ${worksrcpath}/src/platform/darwin.sh
Modified: trunk/dports/security/pass/files/patch-getopt-path.diff
===================================================================
--- trunk/dports/security/pass/files/patch-getopt-path.diff 2015-06-30 19:28:15 UTC (rev 138162)
+++ trunk/dports/security/pass/files/patch-getopt-path.diff 2015-06-30 20:39:36 UTC (rev 138163)
@@ -1,9 +1,9 @@
---- src/platform/darwin.sh.orig 2014-04-12 20:06:30.000000000 +0200
-+++ src/platform/darwin.sh 2014-04-13 22:19:05.000000000 +0200
+--- src/platform/darwin.sh.orig 2015-03-05 19:07:50.000000000 -0500
++++ src/platform/darwin.sh 2015-03-05 19:08:37.000000000 -0500
@@ -31,5 +31,5 @@
- mount -t hfs -o noatime -o nobrowse "$ramdisk_dev" "$tmp_dir" || exit 1
+ mount -t hfs -o noatime -o nobrowse "$DARWIN_RAMDISK_DEV" "$SECURE_TMPDIR" || die "Error: could not mount filesystem on ramdisk."
}
--GETOPT="$(brew --prefix gnu-getopt 2>/dev/null || echo /usr/local)/bin/getopt"
+-GETOPT="$(brew --prefix gnu-getopt 2>/dev/null || { which port &>/dev/null && echo /opt/local; } || echo /usr/local)/bin/getopt"
+GETOPT=@@PREFIX@@/bin/getopt
SHRED="srm -f -z"
Deleted: trunk/dports/security/pass/files/patch-use_apple_mktemp.diff
===================================================================
--- trunk/dports/security/pass/files/patch-use_apple_mktemp.diff 2015-06-30 19:28:15 UTC (rev 138162)
+++ trunk/dports/security/pass/files/patch-use_apple_mktemp.diff 2015-06-30 20:39:36 UTC (rev 138163)
@@ -1,47 +0,0 @@
-diff -r -u src.orig/password-store.sh src/password-store.sh
---- src.orig/password-store.sh 2014-07-06 18:51:05.000000000 +0200
-+++ src/password-store.sh 2014-07-06 18:51:45.000000000 +0200
-@@ -168,7 +168,7 @@
- [[ $1 == "nowarn" ]] && warn=0
- local template="$PROGRAM.XXXXXXXXXXXXX"
- if [[ -d /dev/shm && -w /dev/shm && -x /dev/shm ]]; then
-- SECURE_TMPDIR="$(mktemp -d "/dev/shm/$template")"
-+ SECURE_TMPDIR="$(${MKTEMP} -d "/dev/shm/$template")"
- remove_tmpfile() {
- rm -rf "$SECURE_TMPDIR"
- }
-@@ -182,7 +182,7 @@
- Are you sure you would like to continue?
- _EOF
- )"
-- SECURE_TMPDIR="$(mktemp -d "${TMPDIR:-/tmp}/$template")"
-+ SECURE_TMPDIR="$(${MKTEMP} -d "${TMPDIR:-/tmp}/$template")"
- shred_tmpfile() {
- find "$SECURE_TMPDIR" -type f -exec $SHRED {} +
- rm -rf "$SECURE_TMPDIR"
-@@ -421,7 +421,7 @@
- local passfile="$PREFIX/$path.gpg"
-
- tmpdir #Defines $SECURE_TMPDIR
-- local tmp_file="$(mktemp -u "$SECURE_TMPDIR/XXXXX")-${path//\//-}.txt"
-+ local tmp_file="$(${MKTEMP} -u "$SECURE_TMPDIR/XXXXX")-${path//\//-}.txt"
-
-
- local action="Add"
-diff -r -u src.orig/platform/darwin.sh src/platform/darwin.sh
---- src.orig/platform/darwin.sh 2014-07-06 18:53:23.000000000 +0200
-+++ src/platform/darwin.sh 2014-07-06 18:53:02.000000000 +0200
-@@ -24,7 +24,7 @@
- rm -rf "$SECURE_TMPDIR"
- }
- trap unmount_tmpdir INT TERM EXIT
-- SECURE_TMPDIR="$(mktemp -d "${TMPDIR:-/tmp}/$PROGRAM.XXXXXXXXXXXXX")"
-+ SECURE_TMPDIR="$(${MKTEMP} -d "${TMPDIR:-/tmp}/$PROGRAM.XXXXXXXXXXXXX")"
- DARWIN_RAMDISK_DEV="$(hdid -drivekey system-image=yes -nomount 'ram://32768' | cut -d ' ' -f 1)" # 32768 sectors = 16 mb
- [[ -z $DARWIN_RAMDISK_DEV ]] && die "Error: could not create ramdisk."
- newfs_hfs -M 700 "$DARWIN_RAMDISK_DEV" &>/dev/null || die "Error: could not create filesystem on ramdisk."
-@@ -33,3 +33,4 @@
-
- GETOPT=@@PREFIX@@/bin/getopt
- SHRED="srm -f -z"
-+MKTEMP="/usr/bin/mktemp"
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150630/b595179a/attachment.html>
More information about the macports-changes
mailing list